class WorkflowInstance < ApplicationRecord
  include Dunlop::WorkflowInstanceModel
  include WorkflowInstance::DataSetup

  # The name by which the workflow instance can be recognized
  def presentation_name
    my_name
  end

  setup_scenarios %i[
    scenario1
    scenario2
  ]

  setup_possible_workflow_steps %i[
    owner_initialization
    contractor_initialization
    wba_submission
  ]

  activate_dunlop!
end
